<div>
    <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search">
    </mat-form-field>

</div>

<mat-table [dataSource]="dataSource" matSort>

<!--Physical Asset Columns-->
    <ng-container matColumnDef="location">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Location </mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.location.name}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="assetNum">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Asset Number</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.assetNum}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="make">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Make</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.make}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="model">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Model</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.model}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="description">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Description</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.description}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="serial">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Serial</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.serial}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="notes">
        <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
        <mat-cell *matCellDef="let a">
            <span *ngIf="a.notes">
                <i class="fas fa-sticky-note"></i>
            </span>
        </mat-cell>
    </ng-container>


    <!--Computer Columns-->
    <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Name</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.name}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="cpu">
        <mat-header-cell *matHeaderCellDef mat-sort-header> CPU</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.cpu}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="mem">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Memory</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.memory}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="os">
        <mat-header-cell *matHeaderCellDef mat-sort-header> OS</mat-header-cell>
        <mat-cell *matCellDef="let a"> {{a.os}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="wifi">
        <mat-header-cell *matHeaderCellDef mat-sort-header>WiFi</mat-header-cell>
        <mat-cell *matCellDef="let a"> <mat-checkbox [(ngModel)]="a.wifi" disabled></mat-checkbox></mat-cell>
    </ng-container>

    <!--Network Device Columns-->
    <ng-container matColumnDef="external">
        <mat-header-cell *matHeaderCellDef mat-sort-header> External IP </mat-header-cell>
        <mat-cell *matCellDef="let d"> {{d.external}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="internal">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Internal IP </mat-header-cell>
        <mat-cell *matCellDef="let d"> {{d.internal}}</mat-cell>
    </ng-container>

    <!--Printer Columns-->
    <ng-container matColumnDef="ipAddress">
        <mat-header-cell *matHeaderCellDef mat-sort-header> IP Address </mat-header-cell>
        <mat-cell *matCellDef="let p"> {{p.ipAddress}}</mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="columnsToDisplay"></mat-header-row>
    <mat-row *matRowDef="let row; columns: columnsToDisplay;" (click)="selectRow(row)" [ngClass]="{'highlight': selectedRowIndex == row.id}"></mat-row>
</mat-table>

<mat-paginator [pageSizeOptions]="[25, 50, 100]" [pageSize]="[25]" showFirstLastButtons></mat-paginator>